Bug 253566 - devel/subversion-lts: update to next LTS 1.14.2
Summary: devel/subversion-lts: update to next LTS 1.14.2
Status: New
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Lev A. Serebryakov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-02-16 19:07 UTC by Michael Osipov
Modified: 2022-04-13 12:36 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (lev)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Osipov 2021-02-16 19:07:30 UTC
A new LTS version is out, but 1.10 is still supported. Either this port is moved to 1.14.1 or this will be split in two ports subversion-lts-110 and subversion-lts-114 and subversion-lts will point to subversion-lts-114.
Comment 1 Lev A. Serebryakov freebsd_committer 2021-02-16 20:47:16 UTC
I don't see any profit to have subversion-lts and subversion both pointing to same version.

My plan is to have subversion-lts as 1.10.x till 1.15 will be released and then move subversion-lts to 1.14.x (and drop 1.10.x completely).
Comment 2 Lev A. Serebryakov freebsd_committer 2021-02-16 20:58:36 UTC
And, no, I WILL NOT add one more subversion port.

IMHO, -lts version is too much as it is.
Comment 3 Michael Osipov 2021-02-16 21:00:14 UTC
(In reply to Lev A. Serebryakov from comment #2)

I agree with that. It was just an idea.
Comment 4 Michael Osipov 2021-02-16 21:01:20 UTC
(In reply to Lev A. Serebryakov from comment #1)

This makes sense. I don't now when 1.15 will land, but 1.10.x port relies on Python 2.7 which is annoying to see the expired everyday. For compilation this is not required. Do you see a way to remove it from the port until 1.15 lands?
Comment 5 Lev A. Serebryakov freebsd_committer 2021-02-16 21:14:21 UTC
(In reply to Michael Osipov from comment #4)
I see. I'll think, what could be done with this python situation.
Comment 6 Michael Osipov 2021-12-21 13:25:28 UTC
Until 1.14.2 is available I have applied a naive patch to Python 3:

> # diff /tmp/Makefile Makefile
> --- /tmp/Makefile       2021-12-21 14:22:39.843596000 +0100
> +++ Makefile    2021-12-21 14:22:50.218496000 +0100
> @@ -41,7 +41,7 @@
>  FREEBSD_TEMPLATE_EXTRA_PATCHES=        ${PATCHDIR}/extra-patch-fbsd-template
>  SVNSERVE_WRAPPER_EXTRA_PATCHES=        ${PATCHDIR}/extra-patch-svnserve-wrapper
> 
> -USES+=                 shebangfix python:env
> +USES+=                 shebangfix python:2.7,env
>  python_OLD_CMD+=       "/bin/env python"
>  SHEBANG_REGEX=         ./tools/.*
> 
> @@ -220,7 +220,7 @@
> 
>  svn-build-outputs-hack:
>         (cd ${WRKSRC} && ${PATCH} ${PATCH_DIST_ARGS} -p0 < ${PATCHDIR}/extra-patch-build.conf)
> -       (cd ${WRKSRC} && ${PYTHON_CMD} gen-make.py --release --installed-libs libsvn_client,libsvn_delta,libsvn_diff,libsvn_fs,libsvn_fs_x,libsvn_ra,libsvn_repos,libsvn_subr,libsvn_wc)
> +       (cd ${WRKSRC} && python2.7 gen-make.py --release --installed-libs libsvn_client,libsvn_delta,libsvn_diff,libsvn_fs,libsvn_fs_x,libsvn_ra,libsvn_repos,libsvn_subr,libsvn_wc)
>         ${MV} ${WRKSRC}/build-outputs.mk ${FILESDIR}/build-outputs.mk.addons
> 
>  .include <bsd.port.post.mk>
> 


Summary of test results:
  2412 tests PASSED
  95 tests SKIPPED
  57 tests XFAILED (1 WORK-IN-PROGRESS)
  6 tests FAILED
SUMMARY: Some tests failed.


Do you think this could be applied to the port? I haven't tried Python scripts which may be used additionally: https://subversion.apache.org/docs/release-notes/1.14.html#pythonoptional